ARCHIVE_READ_NEW(3) manual page 
== NAME == 
'''archive_read_new''' 
- functions for reading streaming archives 
== LIBRARY == 
Streaming Archive Library (libarchive, -larchive) 
== SYNOPSIS == 
'''<nowiki>#include <archive.h></nowiki>''' 
<br> 
'''struct archive *''' 
<br> 
'''archive_read_new'''(''void''); 
== DESCRIPTION == 
Allocates and initializes a 
'''struct archive''' 
object suitable for reading from an archive. 
NULL 
is returned on error. 

A complete description of the 
'''struct archive''' 
object can be found in the overview manual page for 
'''libarchive'''(3). 
== SEE ALSO == 
'''tar'''(1), 
'''libarchive'''(3), 
'''archive_read_data'''(3), 
'''archive_read_filter'''(3), 
'''archive_read_format'''(3), 
'''archive_read_set_options'''(3), 
'''archive_util'''(3), 
'''tar'''(5) 
